@if (componentData) {
  <div class="two-columns-grid">
    <div class="label-with-tooltip-icon">
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.system.settings.automated-search-activation.tooltip-title'
            | translate
        "
      >
      </sqtm-core-label>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.system.settings.automated-search-activation.tooltip'
            | translate
        "
      >
      </i>
    </div>
    <sqtm-core-switch-field
      (confirmEvent)="handleSearchActivationFeatureToggle()"
      [value]="searchActivationFeatureEnabled$ | async"
      [attr.data-test-field-id]="'searchActivation'"
    >
    </sqtm-core-switch-field>
  </div>
}
